//////////////////////////////////////////////////////////////////////////////
// 4to8bit.cpp                                                              //
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
// includes                                                                 //
//////////////////////////////////////////////////////////////////////////////
#include <stdio.h>

//////////////////////////////////////////////////////////////////////////////
// main                                                                     //
//////////////////////////////////////////////////////////////////////////////
int main(int argc, char *argv[])
{
	if (argc<3)
	{
		printf("%s [input.raw] [output.raw]\n", argv[0]);
		return -1;
	}

	FILE *fi = fopen(argv[1], "rb");
	if (!fi) { printf("Input error!\n"); return -1; }
	FILE *fo = fopen(argv[2], "wb");
	if (!fo) { printf("Output error!\n"); return -1; }

	while (!feof(fi))
	{
		unsigned char i = fgetc(fi);
		fputc(i & 0x0F, fo);
		fputc(i >> 4, fo);
	}

	fclose(fi);
	fclose(fo);
	return 0;
}
